## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name pytest-httpx

Name:           python-%{pypi_name}
Version:        0.29.0
Release:        %autorelease
Summary:        Send responses to httpx

License:        MIT
URL:            https://colin-b.github.io/pytest_httpx/
Source0:        https://github.com/Colin-b/pytest_httpx/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
httpx_mock pytest fixture will make sure every httpx request will be
replied to with user provided responses.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(httpx)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
httpx_mock pytest fixture will make sure every httpx request will be
replied to with user provided responses.

%prep
%autosetup -n pytest_httpx-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%pytest -v tests

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/pytest_httpx/
%{python3_sitelib}/pytest_httpx-%{version}-py%{python3_version}.egg-info/

%changelog
## START: Generated by rpmautospec
* Tue Feb 06 2024 František Zatloukal <fzatlouk@redhat.com> - 0.29.0-1
- Update to 0.29 (Fixes RHBZ#2262973)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 07 2023 František Zatloukal <fzatlouk@redhat.com> - 0.26.0-1
- Update to 0.26 (Fixes RHBZ#2248458)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 03 2023 Python Maint <python-maint@redhat.com> - 0.22.0-2
- Rebuilt for Python 3.12

* Mon May 15 2023 František Zatloukal <fzatlouk@redhat.com> - 0.22.0-1
- Update to 0.22

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Sep 26 2022 Fabian Affolter <mail@fabian-affolter.ch> - 0.21.0-1
- Update to latest upstream release 0.21.0 (closes rhbz#2127747)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.20.0-2
- Rebuilt for Python 3.11

* Sun Mar 06 2022 Fabian Affolter <mail@fabian-affolter.ch> - 0.20.0-1
- Update to latest upstream release 0.20.0

* Mon Jan 24 2022 Fabian Affolter <mail@fabian-affolter.ch> - 0.18.0-1
- Update to latest upstream release 0.18.0 (closes #2031747)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Aug 30 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.13.0-1
- * Mon Aug 30 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.13.0-1 -
  Update to latest upstream release 0.13.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.11.0-2
- Rebuilt for Python 3.10

* Mon Mar 01 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.11.0-1
- * Mon Mar 01 2021 Fabian Affolter <mail@fabian-affolter.ch> - 3.9.4-1 -
  Update to latest upstream release 3.9.4 (#1933686)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.10.0-1
- * Mon Oct 19 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.10.0-1 -
  Initial package for Fedora
## END: Generated by rpmautospec
